Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(239)

Issue 14179013: Add support for [NoInterfaceObject] extended attribute to bindings generator (Closed)

Created:
6 years, 11 months ago by do-not-use
Modified:
6 years, 11 months ago
CC:
blink-reviews, apavlov+blink_chromium.org, pdr, aandrey+blink_chromium.org, mkwst+watchlist_chromium.org, caseq+blink_chromium.org, alecflett, yurys+blink_chromium.org, gavinp+loader_chromium.org, loislo+blink_chromium.org, lushnikov+blink_chromium.org, kinuko, eustas+blink_chromium.org, darktears, Nate Chapin, vcarbune.chromium, jsbell, feature-media-reviews_chromium.org, alph+blink_chromium.org, vsevik+blink_chromium.org, pfeldman+blink_chromium.org, f(malita), Stephen Chennney, lgombos, Nils Barth (inactive), kojih, (unused - use chromium), tony
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Visibility:
Public.

Description

Add support for [NoInterfaceObject] extended attribute to bindings generator *Constructor attributes on the global DOMWindow object are now automatically generated for each non-callback interface that is not declared with the [NoInterfaceObject] extended attribute. It is thus no longer needed for developers to manually add *Constructor attributes for their new interfaces unless they wish to register an "extra" constructor for their interface. This patch does not modify at all the behavior on JS side. To achieve this, [NoInterfaceObject] extended attribute is added to interfaces that should not have it according to specification (e.g. History, Location, ...). This can be improved later as the behavior should not change with this patch. BUG=233578 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=149858

Patch Set 1 #

Total comments: 2

Patch Set 2 : Rebase on master #

Patch Set 3 : Applied Kentaro's comments #

Total comments: 2

Patch Set 4 : Fix circular dependency to DOMWindow.idl in gyp #

Total comments: 1

Patch Set 5 : Stop uselessly parsing NoInterfaceObject interfaces #

Patch Set 6 : Stop using 'touch' to reprocess DOMWindow.idl on IDL changes #

Patch Set 7 : Rebase on master #

Patch Set 8 : Faster processing of DOMWindow.idl + Handling of Callback interfaces #

Total comments: 1

Patch Set 9 : Take Adam's feedback into consideration #

Total comments: 1

Patch Set 10 : No longer parse IDL files to avoid slowing down build time #

Total comments: 2

Patch Set 11 : Fix list of exposed constructors #

Patch Set 12 : No longer add ConstructorPrefix IDL attribute #

Total comments: 1

Patch Set 13 : Rename windowConstructorsSupplementalFile to windowConstructorsFile #

Patch Set 14 : Rebase on master due to conflicting History.idl changes #

Patch Set 15 : Rebase on master #

Patch Set 16 : Fix error with Perl < 5.14 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+374 lines, -678 lines) Patch
M Source/bindings/derived_sources.gyp View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 3 chunks +4 lines, -0 lines 0 comments Download
M Source/bindings/scripts/IDLAttributes.txt View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 1 chunk +1 line, -0 lines 0 comments Download
M Source/bindings/scripts/IDLParser.pm View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -1 line 0 comments Download
M Source/bindings/scripts/preprocess-idls.pl View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 4 chunks +98 lines, -4 lines 0 comments Download
M Source/core/css/CSSFontFaceLoadEvent.idl View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/css/CSSSupportsRule.idl View 1 2 3 4 5 6 1 chunk +3 lines, -1 line 0 comments Download
M Source/core/css/DOMWindowCSS.idl View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/css/FontLoader.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/css/MediaQueryList.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/css/StyleMedia.idl View 1 chunk +3 lines, -1 line 0 comments Download
M Source/core/dom/CustomElementConstructor.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/dom/DOMError.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/dom/DOMNamedFlowCollection.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/dom/DataTransferItem.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/dom/DataTransferItemList.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/dom/EventTarget.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/dom/NamedFlow.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/dom/NodeIterator.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/dom/SecurityPolicyViolationEvent.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/dom/ShadowRoot.idl View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +3 lines, -1 line 0 comments Download
M Source/core/dom/Touch.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/dom/TouchEvent.idl View 1 2 3 4 5 6 7 8 1 chunk +3 lines, -1 line 0 comments Download
M Source/core/dom/TouchList.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/dom/TreeWalker.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/fileapi/FileException.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/fileapi/FileReaderSync.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/html/HTMLDetailsElement.idl View 1 chunk +3 lines, -1 line 0 comments Download
M Source/core/html/HTMLDialogElement.idl View 1 2 3 4 5 6 7 8 1 chunk +2 lines, -1 line 0 comments Download
M Source/core/html/HTMLMediaElement.idl View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/html/HTMLSourceElement.idl View 1 2 3 4 5 6 7 8 1 chunk +3 lines, -1 line 0 comments Download
M Source/core/html/HTMLVideoElement.idl View 1 2 3 4 5 6 7 8 1 chunk +3 lines, -1 line 0 comments Download
M Source/core/html/MediaController.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/html/MediaError.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/html/RadioNodeList.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/html/TimeRanges.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/html/ValidityState.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/html/canvas/Canvas2DContextAttributes.idl View 1 2 3 4 5 6 7 8 1 chunk +4 lines, -1 line 0 comments Download
M Source/core/html/canvas/CanvasRenderingContext.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/html/canvas/EXTDrawBuffers.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/html/canvas/EXTTextureFilterAnisotropic.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/html/canvas/OESElementIndexUint.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/html/canvas/OESStandardDerivatives.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/html/canvas/OESTextureFloat.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/html/canvas/OESTextureHalfFloat.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/html/canvas/OESVertexArrayObject.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/html/canvas/WebGLCompressedTextureATC.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/html/canvas/WebGLCompressedTexturePVRTC.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/html/canvas/WebGLCompressedTextureS3TC.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/html/canvas/WebGLContextAttributes.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/html/canvas/WebGLDebugRendererInfo.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/html/canvas/WebGLDebugShaders.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/html/canvas/WebGLDepthTexture.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/html/canvas/WebGLLoseContext.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/html/canvas/WebGLVertexArrayObjectOES.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/html/track/TextTrackRegionList.idl View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/inspector/InjectedScriptHost.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/inspector/InspectorFrontendHost.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/inspector/JavaScriptCallFrame.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/inspector/ScriptProfile.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/inspector/ScriptProfileNode.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/loader/appcache/DOMApplicationCache.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/page/BarInfo.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/page/Console.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/page/Crypto.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/page/DOMSecurityPolicy.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/page/DOMWindow.idl View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +35 lines, -444 lines 0 comments Download
M Source/core/page/History.idl View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +3 lines, -1 line 0 comments Download
M Source/core/page/Location.idl View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/page/MemoryInfo.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/page/Navigator.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/page/PagePopupController.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/page/Performance.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/page/PerformanceEntry.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/page/PerformanceMark.idl View 1 chunk +3 lines, -1 line 0 comments Download
M Source/core/page/PerformanceMeasure.idl View 1 chunk +3 lines, -1 line 0 comments Download
M Source/core/page/PerformanceNavigation.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/page/PerformanceResourceTiming.idl View 1 2 3 4 5 6 7 8 1 chunk +3 lines, -1 line 0 comments Download
M Source/core/page/PerformanceTiming.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/page/Screen.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/page/SpeechInputResult.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/page/SpeechInputResultList.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/page/WorkerNavigator.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/svg/SVGAnimationElement.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/svg/SVGStyledElement.idl View 9 10 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/workers/AbstractWorker.idl View 1 2 3 4 5 6 7 8 1 chunk +2 lines, -1 line 0 comments Download
M Source/core/workers/DedicatedWorkerContext.idl View 1 2 3 4 5 6 7 8 1 chunk +3 lines, -1 line 0 comments Download
M Source/core/workers/SharedWorker.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/workers/SharedWorkerContext.idl View 1 2 3 4 5 6 7 8 1 chunk +3 lines, -1 line 0 comments Download
M Source/core/workers/WorkerContext.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/workers/WorkerLocation.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/xml/XPathExpression.idl View 1 2 3 4 5 6 7 8 1 chunk +2 lines, -1 line 0 comments Download
M Source/core/xml/XPathNSResolver.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -1 line 0 comments Download
M Source/modules/battery/BatteryManager.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/device_orientation/DeviceAcceleration.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/device_orientation/DeviceMotionEvent.idl View 1 2 3 4 5 6 7 8 1 chunk +3 lines, -1 line 0 comments Download
M Source/modules/device_orientation/DeviceRotationRate.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/filesystem/DOMFileSystem.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/filesystem/DOMFileSystemSync.idl View 1 chunk +3 lines, -1 line 0 comments Download
M Source/modules/filesystem/DirectoryEntry.idl View 1 2 3 4 5 6 7 8 1 chunk +3 lines, -1 line 0 comments Download
M Source/modules/filesystem/DirectoryEntrySync.idl View 1 chunk +3 lines, -1 line 0 comments Download
M Source/modules/filesystem/DirectoryReader.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/filesystem/DirectoryReaderSync.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/filesystem/Entry.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/filesystem/EntryArray.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/filesystem/EntryArraySync.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/filesystem/EntrySync.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/filesystem/FileEntry.idl View 1 2 3 4 5 6 7 8 1 chunk +3 lines, -1 line 0 comments Download
M Source/modules/filesystem/FileEntrySync.idl View 1 chunk +3 lines, -1 line 0 comments Download
M Source/modules/filesystem/FileWriter.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/filesystem/FileWriterSync.idl View 1 chunk +3 lines, -1 line 0 comments Download
M Source/modules/filesystem/Metadata.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/gamepad/Gamepad.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/gamepad/GamepadList.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/geolocation/Coordinates.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/geolocation/Geolocation.idl View 1 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/geolocation/Geoposition.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/geolocation/PositionError.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/indexeddb/DOMWindowIndexedDatabase.idl View 1 2 3 4 5 6 7 8 1 chunk +0 lines, -21 lines 0 comments Download
M Source/modules/indexeddb/IDBAny.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/inputmethod/Composition.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/inputmethod/InputMethodContext.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/mediasource/MediaSource.idl View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/mediasource/SourceBuffer.idl View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/mediasource/SourceBufferList.idl View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +1 line, -0 lines 0 comments Download
D Source/modules/mediastream/DOMWindowMediaStream.idl View 1 2 3 4 5 6 7 8 1 chunk +0 lines, -34 lines 0 comments Download
M Source/modules/mediastream/MediaStream.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/mediastream/MediaStreamTrack.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/mediastream/MediaStreamTrackEvent.idl View 1 2 3 4 5 6 7 8 1 chunk +3 lines, -1 line 0 comments Download
M Source/modules/mediastream/NavigatorUserMediaError.idl View 1 2 3 4 5 6 7 8 1 chunk +3 lines, -1 line 0 comments Download
M Source/modules/mediastream/RTCDTMFSender.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/mediastream/RTCDTMFToneChangeEvent.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/mediastream/RTCDataChannel.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/mediastream/RTCDataChannelEvent.idl View 1 2 3 4 5 6 7 8 1 chunk +3 lines, -1 line 0 comments Download
M Source/modules/mediastream/RTCIceCandidateEvent.idl View 1 2 3 4 5 6 7 8 1 chunk +3 lines, -1 line 0 comments Download
M Source/modules/mediastream/RTCPeerConnection.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/mediastream/RTCStatsReport.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/mediastream/RTCStatsResponse.idl View 1 2 3 4 5 6 7 8 1 chunk +3 lines, -1 line 0 comments Download
M Source/modules/modules.gypi View 1 2 3 4 5 6 7 8 4 chunks +0 lines, -5 lines 0 comments Download
M Source/modules/notifications/DOMWindowNotifications.idl View 1 2 3 4 5 6 7 8 9 10 1 chunk +0 lines, -3 lines 0 comments Download
M Source/modules/notifications/NotificationCenter.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/quota/StorageInfo.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/quota/StorageQuota.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
D Source/modules/speech/DOMWindowSpeech.idl View 1 2 3 4 5 6 7 8 1 chunk +0 lines, -32 lines 0 comments Download
M Source/modules/speech/DOMWindowSpeechSynthesis.idl View 1 2 3 4 5 6 7 8 1 chunk +0 lines, -2 lines 0 comments Download
M Source/modules/speech/SpeechGrammar.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/speech/SpeechGrammarList.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/speech/SpeechRecognition.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/speech/SpeechRecognitionAlternative.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/speech/SpeechRecognitionError.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/speech/SpeechRecognitionEvent.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/speech/SpeechRecognitionResult.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/speech/SpeechRecognitionResultList.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/speech/SpeechSynthesis.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/speech/SpeechSynthesisVoice.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webaudio/AnalyserNode.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webaudio/AudioBuffer.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webaudio/AudioBufferSourceNode.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webaudio/AudioContext.idl View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webaudio/AudioDestinationNode.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webaudio/AudioListener.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webaudio/AudioNode.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webaudio/AudioParam.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webaudio/AudioSourceNode.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webaudio/BiquadFilterNode.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webaudio/ChannelMergerNode.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webaudio/ChannelSplitterNode.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webaudio/ConvolverNode.idl View 1 chunk +1 line, -0 lines 0 comments Download
D Source/modules/webaudio/DOMWindowWebAudio.idl View 1 2 3 4 5 6 7 8 9 10 1 chunk +0 lines, -36 lines 0 comments Download
M Source/modules/webaudio/DelayNode.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webaudio/DynamicsCompressorNode.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webaudio/GainNode.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webaudio/MediaElementAudioSourceNode.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webaudio/MediaStreamAudioDestinationNode.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webaudio/MediaStreamAudioSourceNode.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webaudio/OfflineAudioContext.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webaudio/OscillatorNode.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webaudio/PannerNode.idl View 9 10 11 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webaudio/ScriptProcessorNode.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webaudio/WaveShaperNode.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webaudio/WaveTable.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webdatabase/DOMWindowWebDatabase.idl View 1 2 3 4 5 6 7 8 1 chunk +0 lines, -1 line 0 comments Download
M Source/modules/webdatabase/Database.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webdatabase/DatabaseSync.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webdatabase/SQLError.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webdatabase/SQLResultSet.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webdatabase/SQLResultSetRowList.idl View 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webdatabase/SQLTransaction.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webdatabase/SQLTransactionSync.idl View 1 chunk +1 line, -0 lines 0 comments Download
D Source/modules/webmidi/DOMWindowWebMIDI.idl View 1 2 3 4 5 6 7 8 1 chunk +0 lines, -34 lines 0 comments Download
M Source/modules/webmidi/MIDIConnectionEvent.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webmidi/MIDIInput.idl View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webmidi/MIDIMessageEvent.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M Source/modules/webmidi/MIDIPort.idl View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
D Source/modules/websockets/DOMWindowWebSocket.idl View 1 2 3 4 5 6 7 8 1 chunk +0 lines, -31 lines 0 comments Download

Messages

Total messages: 47 (0 generated)
do-not-use
6 years, 11 months ago (2013-04-22 11:17:17 UTC) #1
haraken
The patch looks really great!! - Due to existing typos in DOMWindow.idl, there will be ...
6 years, 11 months ago (2013-04-22 11:44:50 UTC) #2
do-not-use
On 2013/04/22 11:44:50, haraken wrote: > The patch looks really great!! > > - Due ...
6 years, 11 months ago (2013-04-22 12:15:20 UTC) #3
haraken
At least, I'd like to guarantee correctness of the change (i.e. we want to resolve ...
6 years, 11 months ago (2013-04-22 12:27:48 UTC) #4
arv (Not doing code reviews)
This is a great change. My only concern is how this will interact with workers. ...
6 years, 11 months ago (2013-04-22 14:55:05 UTC) #5
do-not-use
On 2013/04/22 14:55:05, arv wrote: > This is a great change. > > My only ...
6 years, 11 months ago (2013-04-22 15:01:28 UTC) #6
do-not-use
On 2013/04/22 12:27:48, haraken wrote: > At least, I'd like to guarantee correctness of the ...
6 years, 11 months ago (2013-04-22 15:25:36 UTC) #7
haraken
Doesn't this mean that DOMWindow.idl is always rebuilt and it scans all IDL files, even ...
6 years, 11 months ago (2013-04-22 15:31:28 UTC) #8
do-not-use
On 2013/04/22 15:31:28, haraken wrote: > Doesn't this mean that DOMWindow.idl is always rebuilt and ...
6 years, 11 months ago (2013-04-22 15:35:53 UTC) #9
do-not-use
https://codereview.chromium.org/14179013/diff/7001/Source/bindings/derived_sources.gyp File Source/bindings/derived_sources.gyp (right): https://codereview.chromium.org/14179013/diff/7001/Source/bindings/derived_sources.gyp#newcode99 Source/bindings/derived_sources.gyp:99: 'idl_files_list': '<|(idl_files_list.tmp <@(idl_files))', I would need to get rid ...
6 years, 11 months ago (2013-04-22 15:39:10 UTC) #10
haraken
thakis, tony: Would this change be OK from the perspective of build performance? What we ...
6 years, 11 months ago (2013-04-22 15:41:00 UTC) #11
haraken
6 years, 11 months ago (2013-04-22 15:41:42 UTC) #12
do-not-use
https://codereview.chromium.org/14179013/diff/7001/Source/bindings/derived_sources.gyp File Source/bindings/derived_sources.gyp (right): https://codereview.chromium.org/14179013/diff/7001/Source/bindings/derived_sources.gyp#newcode99 Source/bindings/derived_sources.gyp:99: 'idl_files_list': '<|(idl_files_list.tmp <@(idl_files))', On 2013/04/22 15:39:11, cdumez wrote: > ...
6 years, 11 months ago (2013-04-22 15:47:19 UTC) #13
Nico
Since you're asking about build performance: What's the build performance impact of this? How much ...
6 years, 11 months ago (2013-04-22 17:10:35 UTC) #14
do-not-use
On 2013/04/22 17:10:35, Nico wrote: > Since you're asking about build performance: What's the build ...
6 years, 11 months ago (2013-04-22 17:36:23 UTC) #15
do-not-use
On 2013/04/22 17:36:23, cdumez wrote: > On 2013/04/22 17:10:35, Nico wrote: > > Since you're ...
6 years, 11 months ago (2013-04-22 19:46:26 UTC) #16
Nico
6s sounds fairly long to me, and if I was working on that code I'd ...
6 years, 11 months ago (2013-04-22 19:49:44 UTC) #17
do-not-use
On 2013/04/22 19:49:44, Nico wrote: > 6s sounds fairly long to me, and if I ...
6 years, 11 months ago (2013-04-23 07:33:05 UTC) #18
do-not-use
On 2013/04/23 07:33:05, cdumez wrote: > On 2013/04/22 19:49:44, Nico wrote: > > 6s sounds ...
6 years, 11 months ago (2013-04-23 12:10:54 UTC) #19
do-not-use
On 2013/04/23 12:10:54, cdumez wrote: > On 2013/04/23 07:33:05, cdumez wrote: > > On 2013/04/22 ...
6 years, 11 months ago (2013-04-23 13:39:37 UTC) #20
abarth-chromium
I don't think this CL takes a good approach to this problem. We also shouldn't ...
6 years, 11 months ago (2013-04-23 16:56:38 UTC) #21
do-not-use
On 2013/04/23 16:56:38, abarth wrote: > I don't think this CL takes a good approach ...
6 years, 11 months ago (2013-04-25 08:47:41 UTC) #22
abarth-chromium
On 2013/04/25 08:47:41, cdumez wrote: > Adam, just to be clear, you're not opposed to ...
6 years, 11 months ago (2013-04-25 20:10:31 UTC) #23
do-not-use
On 2013/04/25 20:10:31, abarth wrote: > On 2013/04/25 08:47:41, cdumez wrote: > > Adam, just ...
6 years, 11 months ago (2013-04-25 20:12:34 UTC) #24
do-not-use
I took Adam's feedback into consideration. There is no longer ANY behavior change on JS ...
6 years, 11 months ago (2013-05-04 00:38:36 UTC) #25
abarth-chromium
This approach looks much better. Haraken should do the official review. One question below. https://codereview.chromium.org/14179013/diff/32001/Source/bindings/scripts/preprocess-idls.pl ...
6 years, 11 months ago (2013-05-06 18:06:47 UTC) #26
do-not-use
On 2013/05/06 18:06:47, abarth wrote: > This approach looks much better. Haraken should do the ...
6 years, 11 months ago (2013-05-06 18:34:38 UTC) #27
abarth-chromium
I'm not sure this feature is worth a 7 second regression in build speed. Is ...
6 years, 11 months ago (2013-05-06 19:49:43 UTC) #28
do-not-use
On 2013/05/06 19:49:43, abarth wrote: > I'm not sure this feature is worth a 7 ...
6 years, 11 months ago (2013-05-06 20:40:06 UTC) #29
do-not-use
On 2013/05/06 20:40:06, Christophe Dumez wrote: > On 2013/05/06 19:49:43, abarth wrote: > > I'm ...
6 years, 11 months ago (2013-05-06 20:45:59 UTC) #30
abarth-chromium
Thanks. LGTM, but we should have haraken take a look as well.
6 years, 11 months ago (2013-05-06 21:40:54 UTC) #31
haraken
In my understanding, this CL doesn't at all change behavior (i.e. doesn't change a list ...
6 years, 11 months ago (2013-05-07 01:12:06 UTC) #32
do-not-use
On 2013/05/07 01:12:06, haraken wrote: > In my understanding, this CL doesn't at all change ...
6 years, 11 months ago (2013-05-07 04:18:15 UTC) #33
do-not-use
On 2013/05/07 04:18:15, Christophe Dumez wrote: > On 2013/05/07 01:12:06, haraken wrote: > > In ...
6 years, 11 months ago (2013-05-07 04:32:27 UTC) #34
do-not-use
On 2013/05/07 01:12:06, haraken wrote: > https://codereview.chromium.org/14179013/diff/41001/Source/bindings/scripts/IDLAttributes.txt > File Source/bindings/scripts/IDLAttributes.txt (right): > > https://codereview.chromium.org/14179013/diff/41001/Source/bindings/scripts/IDLAttributes.txt#newcode31 > ...
6 years, 11 months ago (2013-05-07 04:45:25 UTC) #35
haraken
> Alternatively, since this affects only 5 interfaces. Maybe we could simply mark > those ...
6 years, 11 months ago (2013-05-07 04:51:25 UTC) #36
do-not-use
On 2013/05/07 04:51:25, haraken wrote: > > Alternatively, since this affects only 5 interfaces. Maybe ...
6 years, 11 months ago (2013-05-07 05:08:24 UTC) #37
haraken
LGTM. Great patch!
6 years, 11 months ago (2013-05-07 05:10:10 UTC) #38
haraken
https://codereview.chromium.org/14179013/diff/55002/Source/bindings/scripts/preprocess-idls.pl File Source/bindings/scripts/preprocess-idls.pl (right): https://codereview.chromium.org/14179013/diff/55002/Source/bindings/scripts/preprocess-idls.pl#newcode31 Source/bindings/scripts/preprocess-idls.pl:31: my $windowConstructorsSupplementalFile; Nit: Shall we rename $windowConstructorsSupplementalFile to $windowConstructorsFile ...
6 years, 11 months ago (2013-05-07 05:33:54 UTC) #39
do-not-use
On 2013/05/07 05:33:54, haraken wrote: > https://codereview.chromium.org/14179013/diff/55002/Source/bindings/scripts/preprocess-idls.pl > File Source/bindings/scripts/preprocess-idls.pl (right): > > https://codereview.chromium.org/14179013/diff/55002/Source/bindings/scripts/preprocess-idls.pl#newcode31 > ...
6 years, 11 months ago (2013-05-07 05:40:04 UTC) #40
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/ch.dumez@sisa.samsung.com/14179013/62001
6 years, 11 months ago (2013-05-07 06:20:26 UTC) #41
commit-bot: I haz the power
Sorry for I got bad news for ya. Compile failed with a clobber build on ...
6 years, 11 months ago (2013-05-07 06:33:15 UTC) #42
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/ch.dumez@sisa.samsung.com/14179013/58004
6 years, 11 months ago (2013-05-07 06:43:18 UTC) #43
commit-bot: I haz the power
Sorry for I got bad news for ya. Compile failed with a clobber build on ...
6 years, 11 months ago (2013-05-07 06:56:26 UTC) #44
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/ch.dumez@sisa.samsung.com/14179013/73002
6 years, 11 months ago (2013-05-07 07:03:59 UTC) #45
commit-bot: I haz the power
Change committed as 149858
6 years, 11 months ago (2013-05-07 07:42:42 UTC) #46
do-not-use
6 years, 11 months ago (2013-05-08 06:48:32 UTC) #47
Message was sent while issue was closed.
I added [NoInterfaceObject] to the Blink IDL wiki:
https://sites.google.com/a/chromium.org/dev/blink/webidl?pli=1#TOC-NoInterfac...

Powered by Google App Engine
This is Rietveld 408576698